distributions.lists.linux.dev archive mirror
 help / color / mirror / Atom feed
* eudev is no more compatible with libgudev
@ 2023-07-22 22:05 Anna (cybertailor) Vyalkova
  0 siblings, 0 replies; only message in thread
From: Anna (cybertailor) Vyalkova @ 2023-07-22 22:05 UTC (permalink / raw)
  To: distributions

Hello, list!

Eudev is a fork of Udev separated from SystemD codebase. It was
abandoned by Gentoo in 2021 and handed over to a team of cross-distro
contributors.

It's currently stuck at Udev API 243, while recent versions of libgudev
require Udev API 247 at least.

The function in question was introduced to Udev in 2020 and added to
libgudev in 2022. Eudev still haven't pulled the changes.

See the upstream issue:
https://github.com/eudev-project/eudev/issues/249

libgudev is the first project that became incompatible with Eudev. As
time passes, there will be others.

If your distro uses Eudev, consider switching to systemd-udev instead.

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2023-07-22 22:12 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2023-07-22 22:05 eudev is no more compatible with libgudev Anna (cybertailor) Vyalkova

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).